SQ_BindAgent

View as Markdown

Binds agents to a queue.

Example request: Bind the agent with id 1 and 2 to the queue with id = 1.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

application_idintegerRequired
Application ID to search by
application_namestringOptional

Application name to search by. Can be used instead of application_id

sq_queue_idstringRequired

ID of the SmartQueue. Pass a list of values divided by ; or the “all” keyword

sq_queue_namestringOptional

Name of the SmartQueue. Pass a list of names divided by ; or the “all” keyword

user_idlist of integersRequired

List of user IDs separated by semicolons (;). Use ‘all’ to select all the users

user_namelist of stringsOptional

List of user names separated by semicolons (;). Can be used instead of user_id

bind_modestringOptionalDefaults to add_queues

Binding mode. Accepts one of the [SQAgentBindingModes] enum values

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully